/*-*-c++-*-****************************************************************
 *                     laversion.h Defines for lapack++ version number
                       -------------------
 begin                : 2006-03-13
 copyright            : (C) 2006 by Christian Stimming
 email                : stimming@tuhh.de
***************************************************************************/

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General
// Public License along with this library; see the file COPYING.
// If not, write to the Free Software Foundation, 59 Temple Place
// - Suite 330, Boston, MA 02111-1307, USA.

#ifndef _LAVERSION_H
#define _LAVERSION_H

/** @file
    
@brief Lapack++ version numbers

This file contains defines about version number of Lapack++ and
the current system configuration.
*/

/** Defined to 1 when this library had the header
 * <bits/cpp_type_traits> available, which is the case for
 * gcc>=3.0.0. Otherwise defined to 0. This distinction is needed
 * in la::complex<T>. */
#ifdef __GNUC__
# define LAPACKPP_HAVE_BITS_CPP_TYPE_TRAITS_H 1
#else
# define LAPACKPP_HAVE_BITS_CPP_TYPE_TRAITS_H 0
#endif // __GNUC__

/** Defined to 1 when this library is being compiled on Windows32,
 * otherwise defined to 0. */
#define LAPACK_OS_WIN32 0

/** The major version of the lapack++ library. Introduced in
 * lapackpp-2.4.8. */
#define LAPACKPP_VERSION_MAJOR 2
/** The minor version of the lapack++ library. Introduced in
 * lapackpp-2.4.8. */
#define LAPACKPP_VERSION_MINOR 5
/** The patchlevel version of the lapack++ library. Introduced in
 * lapackpp-2.4.8. */
#define LAPACKPP_VERSION_PATCHLEVEL 3

/** Defined to 1 when the zdotc() function of the LAPACK/BLAS library
    on this computer returns its result on the stack, otherwise
    defined to 0 (when it returns the result in its first
    argument). */
#define HAVE_ZDOTC_WITH_RV 0

#endif // _LAVERSION_H
